Bug 1015909 - Review Request: treelayout - Efficient and customizable Tree Layout Algorithm in Java
Review Request: treelayout - Efficient and customizable Tree Layout Algorithm...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1135700 1204556 1204560
  Show dependency treegraph
 
Reported: 2013-10-06 13:01 EDT by gil cattaneo
Modified: 2016-08-14 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: treelayout-1.0.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-31 17:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-10-06 13:01:43 EDT
Spec URL: http://gil.fedorapeople.org/treelayout.spec
SRPM URL: http://gil.fedorapeople.org/treelayout-1.0.1-1.fc19.src.rpm
Description: Efficient and customizable TreeLayout Algorithm in Java.
Fedora Account System Username: gil
Comment 2 Mikolaj Izdebski 2015-03-20 10:23:28 EDT
I'll review this next week.
Comment 3 gil cattaneo 2015-03-20 16:08:13 EDT
Spec URL: http://gil.fedorapeople.org/treelayout.spec
SRPM URL: http://gil.fedorapeople.org/treelayout-1.0.2-1.fc20.src.rpm

Description:
Efficiently create compact, highly customizable
tree layouts. The software builds tree layouts
in linear time. I.e. even trees with many nodes
are built fast.

- update Url and Source0 tag
- enable demo sub package

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9282730
Comment 4 Mikolaj Izdebski 2015-03-23 01:25:26 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines.

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[x] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


rpmlint output
--------------

treelayout.noarch: W: spelling-error Summary(en_US) customizable -> customization
treelayout.noarch: W: spelling-error %description -l en_US customizable -> customization
treelayout.src: W: spelling-error Summary(en_US) customizable -> customization
treelayout.src: W: spelling-error %description -l en_US customizable -> customization
treelayout.src: W: invalid-url Source0: treelayout-1.0.2.tar.xz
treelayout-demo.noarch: W: spelling-error %description -l en_US abego -> ab ego, ab-ego, begonia
4 packages and 0 specfiles checked; 0 errors, 6 warnings.


APPROVED
Comment 5 gil cattaneo 2015-03-23 01:54:05 EDT
Thanks!

New Package SCM Request
=======================
Package Name: treelayout
Short Description: Efficient and customizable Tree Layout Algorithm in Java]
Upstream URL: http://treelayout.sourceforge.net/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 6 gil cattaneo 2015-03-23 01:54:51 EDT
New Package SCM Request
=======================
Package Name: treelayout
Short Description: Efficient and customizable Tree Layout Algorithm in Java
Upstream URL: http://treelayout.sourceforge.net/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2015-03-23 09:20:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-03-23 10:04:47 EDT
treelayout-1.0.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/treelayout-1.0.2-1.fc22
Comment 9 Fedora Update System 2015-03-26 17:27:27 EDT
treelayout-1.0.2-1.fc22 has been pushed to the Fedora 22 testing repository.
Comment 10 Fedora Update System 2015-03-31 17:47:20 EDT
treelayout-1.0.2-1.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.